Update an opt-in process
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId}
Path Parameters
- clientIdstringrequiredDescription
- optinProcessIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- confirmationMailingIdinteger<int64>DescriptionFormatint64
- confirmationUrlstringDescription
- namestringrequiredDescription
- typestring<single | confirmed | double>requiredDescriptionAllowedsingleconfirmeddouble
- descriptionstringDescription
Responses
200
- RestOptinProcess
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- descriptionstringDescription
- typestringDescription
- confirmationMailingIdinteger<int64>DescriptionFormatint64
- confirmationUrlstringDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]Description
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string' \
--data 'type=single'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("name", "string");
urlencoded.append("type", "single");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "name=string&type=single"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/optinprocesses/{optinProcessId}"
payload = 'name=string&type=single'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The opt-in process was updated successfully.
{
"id": "",
"name": "",
"description": "",
"type": "",
"confirmationMailingId": "",
"confirmationUrl": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}